from protobuf3.message import Message
from protobuf3.fields import UInt32Field, UInt64Field, BytesField, StringField


class Request(Message):
    pass


class Response(Message):
    pass

Request.add_field('msgId', UInt32Field(field_number=1, optional=True))
Request.add_field('guid', UInt64Field(field_number=2, optional=True))
Request.add_field('msgName', StringField(field_number=3, optional=True))
Request.add_field('req', BytesField(field_number=10, optional=True))
Response.add_field('msgId', UInt32Field(field_number=1, optional=True))
Response.add_field('guid', UInt64Field(field_number=2, optional=True))
Response.add_field('msgName', StringField(field_number=3, optional=True))
Response.add_field('res', BytesField(field_number=10, optional=True))
